Hi,

is it safe to run a samba 3 in lxd? what version of ubuntu should i choose? my need is simple:

present setup: samba 3.0.22, security=share, it serves some files to linux and windows clients, security is only based on the ‘hosts allow’

need to move this to a new pc, has to be compatible as samba 3.0 as possible, thinking of running a old samba 3 in lxd,

suggestions?

Thanks

Should work just fine, I’ve been running samba3 and samba4 in containers for years without any problem.

Just in case its helpful I wanted to make sure you were aware of the new LXD tool called lxd-p2c who’s purpose is to migrate existing machines or a VM to an LXD container.

If not you can read about it here:

LXD 3.0.0 has been released